> This page is for Developers.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://zuora.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://zuora.ferndocs.com/_mcp/server.

# Cancel a payment schedule item

PUT https://rest.test.zuora.com/v1/payment-schedule-items/{item-id}/cancel

Cancels a payment schedule item by ID.

**Note:**
- The Payment Schedules feature is in the **Early Adopter** phase. We are actively soliciting feedback from a small set of early adopters before releasing it as generally available. To manage and access this feature through the self-service interface, see [Manage Features](https://knowledgecenter.zuora.com/Zuora_Payments/Payments_Settings/Manage_Features) in the Knowledge Center.
- This operation is only available if you have [Invoice Settlement](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/Invoice_Settlement) enabled.


Reference: https://zuora.ferndocs.com/developers/api-reference/zuora-api/payments/payment-schedules/put-cancel-payment-schedule-item

## Authentication

- `Authorization` header (bearer token, required) — Use `Bearer {{token}}` in the `Authorization` header for authentication.

## Servers

- `https://rest.test.zuora.com` (US Developer & Central Sandbox (incl. Test Drive), default)
- `https://rest.sandbox.na.zuora.com` (US API Sandbox Cloud 1)
- `https://rest.apisandbox.zuora.com` (US API Sandbox Cloud 2)
- `https://rest.na.zuora.com` (US Production Cloud 1)
- `https://rest.zuora.com` (US Production Cloud 2)
- `https://rest.test.eu.zuora.com` (EU Developer & Central Sandbox)
- `https://rest.sandbox.eu.zuora.com` (EU API Sandbox)
- `https://rest.eu.zuora.com` (EU Production)
- `https://rest.test.ap.zuora.com` (APAC Developer & Central Sandbox)
- `https://rest.ap.zuora.com` (APAC Production)

## Request

### Path parameters

- `item-id` (string, required) — The unique ID of a payment schedule item.

### Headers

- `Accept-Encoding` (string, optional) — Include the `Accept-Encoding: gzip` header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a `Content-Encoding` header with the compression algorithm so that your client can decompress it.
- `Content-Encoding` (string, optional) — Include the `Content-Encoding: gzip` header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.
- `Zuora-Track-Id` (string, optional) — A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (`:`), semicolon (`;`), double quote (`"`), and quote (`'`).
- `Zuora-Entity-Ids` (string, optional) — An entity ID. If you have [Zuora Multi-entity](https://knowledgecenter.zuora.com/BB_Introducing_Z_Business/Multi-entity) enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header.
- `Zuora-Org-Ids` (string, optional) — Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs.
- `Zuora-Version` (string, optional) — The minor API version. For a list of available minor versions, see [API upgrades](https://developer.zuora.com/v1-api-reference/api-upgrades/).

## Response

### 200

OK

- `accountId` (string, optional) — ID of the customer account that owns the payment schedule item, for example `402880e741112b310149b7343ef81234`.
- `amount` (double, optional) — The amount of the payment schedule item.
- `balance` (double, optional) — The remaining balance of payment schedule item.
- `billingDocument` (PutPaymentScheduleItemResponseBillingDocument, optional)
- `cancellationReason` (string, optional) — The reason for the cancellation of payment schedule item.
- `createdById` (string, optional) — The ID of the user who created the payment schedule item.
- `createdDate` (date, optional) — The date and time when the payment schedule item was created.
- `currency` (string, optional) — The currency of the payment.
- `description` (string, optional, nullable) — The description of the payment schedule item.
- `errorMessage` (string, optional) — The error message indicating if the error is related to the configuration or the payment collection.
- `id` (string, optional) — ID of the payment schedule item. For example, `412880e749b72b310149b7343ef81346`.
- `number` (string, optional) — Number of the payment schedule item.
- `paymentGatewayId` (string, optional, nullable) — ID of the payment gateway of the payment schedule item.
- `paymentMethodId` (string, optional) — ID of the payment method of the payment schedule item.
- `paymentOption` (list of PaymentSchedulePaymentOptionFields, optional) — Container for the paymentOption items, which describe the transactional level rules for processing payments. Currently, only the Gateway Options type is supported. `paymentOption` of the payment schedule takes precedence over `paymentOption` of the payment schedule item.
- `paymentScheduleId` (string, optional) — ID of the payment schedule that contains the payment schedule item, for example, `ID402880e749b72b310149b7343ef80005`,
- `paymentScheduleNumber` (string, optional) — Number of the payment schedule that contains the payment schedule item, for example, `ID402880e749b72b310149b7343ef80005`,
- `psiPayments` (list of LinkedPaymentID, optional) — Container for payments linked to the payment schedule item.
- `runHour` (integer, optional) — At which hour in the day in the tenant’s timezone this payment will be collected.
- `scheduledDate` (date, optional) — The scheduled date when the payment is processed.
- `standalone` (boolean, optional) — Indicates if the payment created by the payment schedule item is a standalone payment.
- `status` (enum, optional) — ID of the payment method of the payment schedule item. - `Pending`: Waiting for processing. - `Processed`: The payment has been collected. - `Error`: Failed to collect the payment. - `Canceled`: After a pending payment schedule item is canceled by the user, the item is marked as `Canceled`.
  - Allowed values: `Pending`, `Processed`, `Error`, `Canceled`
- `success` (boolean, optional) — Returns `true` if the request was processed successfully.
- `updatedById` (string, optional) — The ID of the user who updated the payment schedule item.
- `updatedDate` (date, optional) — The date and time when the payment schedule item was last updated.

## Errors

### 500 Internal Server Error

Internal Server Error

- `reasons` (list of ErrorResponseReasonsItems, optional)

### 400 Client Request Error

Request Errors

- `processId` (string, optional) — The ID of the process that handles the operation.
- `reasons` (list of CommonResponseReasonsItems, optional) — The container of the error code and message. This field is available only if the `success` field is `false`.
- `requestId` (string, optional) — Unique identifier of the request.
- `success` (boolean, optional) — Indicates whether the call succeeded.

## Types

### PutPaymentScheduleItemResponseBillingDocument

- `id` (string, optional) — ID of the billing document. for example, `2c9890306fb2121e016fb21a6b550041`.
- `number` (string, optional) — The number of the billing docuemnt, for example, `INV00002345`.
- `type` (string, optional) — Indicates whether the associated billing document is a debit memo or a invoice.

### PaymentSchedulePaymentOptionFields

- `detail` (PaymentSchedulePaymentOptionFieldsDetail, optional) — The field used to pass the transactional payment data to the gateway side in the key-value format.
- `type` (string, optional) — The type of the payment option. Currently, only `GatewayOptions` is supported for specifying Gateway Options fields supported by a payment gateway.

### LinkedPaymentID

- `paymentId` (string, optional) — ID of the payment.

### ErrorResponseReasonsItems

- `code` (string, optional) — The error code of response.
- `message` (string, optional) — The detail information of the error response

### CommonResponseReasonsItems

- `code` (string, optional) — The error code of response.
- `message` (string, optional) — The detail information of the error response

### PaymentSchedulePaymentOptionFieldsDetail

The field used to pass the transactional payment data to the gateway side in the key-value format.

- `key` (string, optional) — The name of the field.
- `value` (string, optional) — The value of the field.

## Examples

**Response**

```json
{
  "amount": 30,
  "billingDocument": {
    "id": "8a90a2fd819503b50181959525e5205d",
    "number": "INV00000001",
    "type": "Invoice"
  },
  "cancellationReason": "Skip Payment",
  "createdById": "8a90e082802185b901802199e15902d1",
  "createdDate": "2022-07-22",
  "currency": "USD",
  "description": "",
  "errorMessage": null,
  "id": "8a90857b822459cd018224dcb9ec13bf",
  "number": "1",
  "paymentGatewayId": "8a90a2fd807499580180781775c452a8",
  "paymentMethodId": "8a90a2fd8074995801807817ebed52aa",
  "paymentScheduleId": "8a90857b822459cd018224dcb9eb13be",
  "paymentScheduleNumber": "PS-00000007",
  "runHour": 23,
  "scheduledDate": "2022-11-01",
  "standalone": false,
  "status": "Canceled",
  "success": true,
  "updatedById": "8a90e082802185b901802199e15902d1",
  "updatedDate": "2022-07-29",
  "paymentId": null
}
```

**SDK Code**

```python response
import requests

url = "https://rest.test.zuora.com/v1/payment-schedule-items/item-id/cancel"

headers = {"Authorization": "Bearer <token>"}

response = requests.put(url, headers=headers)

print(response.json())
```

```javascript response
const url = 'https://rest.test.zuora.com/v1/payment-schedule-items/item-id/cancel';
const options = {method: 'PUT', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://rest.test.zuora.com/v1/payment-schedule-items/item-id/cancel"

	req, _ := http.NewRequest("PUT", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby response
require 'uri'
require 'net/http'

url = URI("https://rest.test.zuora.com/v1/payment-schedule-items/item-id/cancel")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://rest.test.zuora.com/v1/payment-schedule-items/item-id/cancel")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php response
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://rest.test.zuora.com/v1/payment-schedule-items/item-id/cancel', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp response
using RestSharp;

var client = new RestClient("https://rest.test.zuora.com/v1/payment-schedule-items/item-id/cancel");
var request = new RestRequest(Method.PUT);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift response
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://rest.test.zuora.com/v1/payment-schedule-items/item-id/cancel")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```